Create a new service line
curl --request POST \
--url https://api.scrums.com/v1/service-lines \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Mobile Engineering Squad",
"workspace_id": "WS-26-000021",
"product_line": "managed_services",
"execution_model": "ongoing_sla",
"billing_model": "monthly_retainer",
"subscription_id": "SUB-26-001122",
"project_tags": [
"PROJ-26-004281"
],
"config": {
"sprint_length_days": 14
},
"starts_at": "2026-05-01T00:00:00Z"
}
'import requests
url = "https://api.scrums.com/v1/service-lines"
payload = {
"name": "Mobile Engineering Squad",
"workspace_id": "WS-26-000021",
"product_line": "managed_services",
"execution_model": "ongoing_sla",
"billing_model": "monthly_retainer",
"subscription_id": "SUB-26-001122",
"project_tags": ["PROJ-26-004281"],
"config": { "sprint_length_days": 14 },
"starts_at": "2026-05-01T00:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Mobile Engineering Squad',
workspace_id: 'WS-26-000021',
product_line: 'managed_services',
execution_model: 'ongoing_sla',
billing_model: 'monthly_retainer',
subscription_id: 'SUB-26-001122',
project_tags: ['PROJ-26-004281'],
config: {sprint_length_days: 14},
starts_at: '2026-05-01T00:00:00Z'
})
};
fetch('https://api.scrums.com/v1/service-lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "LIN-26-091844",
"name": "Mobile Engineering Squad",
"workspace_id": "WS-26-000021",
"organization_id": "ORG-26-090500",
"product_line": "managed_services",
"execution_model": "ongoing_sla",
"billing_model": "monthly_retainer",
"status": "draft",
"project_tags": [
"PROJ-26-004281"
],
"subscription_id": "SUB-26-001122",
"config": {
"sprint_length_days": 14
},
"started_at": null,
"ends_at": null,
"created_at": "2026-04-15T10:00:00Z",
"updated_at": "2026-04-15T10:00:00Z"
}
}{
"code": "invalid_request",
"message": "workspace_id is required.",
"status": 400
}{
"code": "unauthorized",
"message": "Bearer token is missing or expired.",
"status": 401
}{
"code": "forbidden",
"message": "You do not have access to this resource.",
"status": 403
}Service Lines
Create a Service Line
Creates a new Service Line within the specified workspace.
POST
/
service-lines
Create a new service line
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"Mobile Engineering Squad"
Example:
"WS-26-000021"
Available options:
talent, managed_services, ods, infrastructure, intelligence, agent_gateway Example:
"managed_services"
Available options:
capacity, ongoing_sla, timeboxed_outcome, infra_managed, observability, agent_runtime Example:
"ongoing_sla"
Available options:
monthly_retainer, milestone, usage_based, seat_based Example:
"monthly_retainer"
Example:
"SUB-26-001122"
Example:
["PROJ-26-004281"]Example:
{ "sprint_length_days": 14 }Example:
"2026-05-01T00:00:00Z"
Response
The newly created service line.
Show child attributes
Show child attributes
Last modified on April 15, 2026
Was this page helpful?
⌘I